php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #32718 Sessions locks while OCIFetch is running
Submitted: 2005-04-15 14:00 UTC Modified: 2005-04-29 01:00 UTC
Votes:3
Avg. Score:4.7 ± 0.5
Reproduced:2 of 2 (100.0%)
Same Version:1 (50.0%)
Same OS:0 (0.0%)
From: jogodinho at gms dot pt Assigned:
Status: No Feedback Package: OCI8 related
PHP Version: 5.0.4 OS: Windows XP Professional
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2005-04-15 14:00 UTC] jogodinho at gms dot pt
Description:
------------
Recently i have submit a upgrade from version PHP4.2.3 to PHP5.0.4 (last stable version available) and now i have some problems of scability that they didn't happen before.

I establish a connection with a data base with following code:

----

$conn=OCILogon("user", "pass", "bd");

---

And when i submit a query (that it delays 28 seconds approximately, to return 76000 registers) with the function OCIParse, other sessions that they intend to establish connections apparently locks, waiting that query finishes and sometimes i get the following warning:

---

Warning:  ocifetch() [<a href='function.ocifetch'>function.ocifetch</a>]: OCIFetch: ORA-01001: invalid cursor in ... on line 253


Reproduce code:
---------------
$conn=OCILogon("user", "pass", "bd");

$query = "select ...";

$stmt = OCIParse($conn, $query);

OCIExecute($stmt, OCI_DEFAULT);

while(OCI_Fetch($stmt))
{
 OCIResult($stmt, 1);
(...)
}





Expected result:
----------------
Obtain query results

Actual result:
--------------
While the query is running, others sessions locks and sometimes i get the warning: 
---

Warning:  ocifetch() [<a href='function.ocifetch'>function.ocifetch</a>]: OCIFetch: ORA-01001: invalid cursor in ... on line 253


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-04-15 14:16 UTC] sniper@php.net
FYI: The PHP 4.3.11 is really the latest stable version, PHP 5.0.x is something less stable..

 [2005-04-19 11:33 UTC] jogodinho at gms dot pt
The problem is not with version 4, but yes with version 5.  I need to install this version to use some functionalities only available in the new version.
 [2005-04-21 17:25 UTC] sniper@php.net
Please try using this CVS snapshot:

  http://snaps.php.net/php5-latest.tar.gz
 
For Windows:
 
  http://snaps.php.net/win32/php5-win32-latest.zip


 [2005-04-29 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a week, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Tue Jan 25 06:03:33 2022 UTC